Scriptname zzzPOCrimeFaction extends ReferenceAlias

{Based on the HoldLocationAlias property, puts the actor in this alias in the correct crime faction}

LocationAlias Property HoldLocation Auto

Location property HaafingarHoldLocation auto
Location property ReachHoldLocation auto
Location property HjaalmarchHoldLocation auto
Location property WhiterunHoldLocation auto
Location property FalkreathHoldLocation auto
Location property PaleHoldLocation auto
Location property WinterholdHoldLocation auto
Location property EastmarchHoldLocation auto
Location property RiftHoldLocation auto

faction Property CrimeFactionHaafingar Auto
faction Property CrimeFactionReach Auto
faction Property CrimeFactionHjaalmarch Auto
faction Property CrimeFactionWhiterun Auto
faction Property CrimeFactionFalkreath Auto
faction Property CrimeFactionPale Auto
faction Property CrimeFactionWinterhold Auto
faction Property CrimeFactionEastmarch Auto
faction Property CrimeFactionRift Auto

Event OnInit()
	Location myHold = HoldLocation.GetLocation()
	Faction myCrimeFaction = GetCrimeFactionForHold(myHold)
	Actor selfActor = GetActorRef()
	selfActor.SetCrimeFaction(myCrimeFaction)
EndEvent

Faction Function GetCrimeFactionForHold(Location hl)
	If hl == HaafingarHoldLocation
		Return CrimeFactionHaafingar
	ElseIf hl == ReachHoldLocation
		Return CrimeFactionReach
	ElseIf hl == HjaalmarchHoldLocation
		Return CrimeFactionHjaalmarch
	ElseIf hl == WhiterunHoldLocation
		Return CrimeFactionWhiterun
	ElseIf hl == FalkreathHoldLocation
		Return CrimeFactionFalkreath
	ElseIf hl == PaleHoldLocation
		Return CrimeFactionPale
	ElseIf hl == WinterholdHoldLocation
		Return CrimeFactionWinterhold
	ElseIf hl == EastmarchHoldLocation
		Return CrimeFactionEastmarch
	ElseIf hl == RiftHoldLocation
		Return CrimeFactionRift
	Else
		Return None
	EndIf
EndFunction