Scriptname zzzPOMultiKillObjective extends ReferenceAlias  

Int Property nextStage Auto

ReferenceAlias[] Property actorsToKill Auto

Event OnDeath(actor killer)
	Evaluate()
EndEvent

Function Evaluate()
	Int i = actorsToKill.Length
	While i
		i -= 1
		If !actorsToKill[i].GetActorRef().IsDead()
			Return
		EndIf
	EndWhile

	If GetOwningQuest().GetStage() >= nextStage
		Return
	EndIf
	GetOwningQuest().SetStage(nextStage)
EndFunction