Scriptname zzzPOMultiObjective extends ReferenceAlias  

Int Property nextStage Auto

Book[] Property booksToRead Auto
ReferenceAlias[] Property actorsToKill Auto

Event OnRead()
	Evaluate()
EndEvent

Event OnDeath(actor killer)
	Evaluate()
EndEvent

Function Evaluate()
	Int i = booksToRead.Length
	While i
		i -= 1
		If !booksToRead[i].IsRead()
			Return
		EndIf
	EndWhile

	Int j = actorsToKill.Length
	While j
		j -= 1
		If !actorsToKill[j].GetActorRef().IsDead()
			Return
		EndIf
	EndWhile

	If GetOwningQuest().GetStage() >= nextStage
		Return
	EndIf
	GetOwningQuest().SetStage(nextStage)
EndFunction