Scriptname zzzPOTortureVictimsScript extends Quest

Actor Property DBTortureVictim1Ref Auto
Actor Property DBTortureVictim2Ref Auto
Actor Property DBTortureVictim3Ref Auto
Actor Property DBTortureVictim4Ref Auto

Outfit Property FineClothesOutfit02Variant Auto
Outfit Property BarkeepClothes02 Auto
Outfit Property MinerClothesOutfit01 Auto
Outfit Property MerchantClothesOutfit02NoHat Auto

GlobalVariable Property zzzPOTortureVictimsReward1Done Auto
GlobalVariable Property zzzPOTortureVictimsReward2Done Auto
GlobalVariable Property zzzPOTortureVictimsReward3Done Auto
GlobalVariable Property zzzPOTortureVictimsReward4Done Auto

MiscObject Property Gold001 Auto

Function Free(Actor victim)
	victim.SetRestrained(0)
	Int rank = victim.GetRelationshipRank(Game.GetPlayer())
	victim.SetRelationshipRank(Game.GetPlayer(), rank+3)
	victim.EvaluatePackage()
EndFunction

Function Torture(Actor victim)
	victim.SetRelationshipRank(Game.GetPlayer(), -3)
EndFunction

Function Dress(Actor victim)
	If victim == DBTortureVictim1Ref 
		victim.SetOutfit(MerchantClothesOutfit02NoHat)
	ElseIf victim == DBTortureVictim2Ref 
		victim.SetOutfit(FineClothesOutfit02Variant)
	ElseIf victim == DBTortureVictim3Ref 
		victim.SetOutfit(MinerClothesOutfit01)
	ElseIf victim == DBTortureVictim4Ref 
		victim.SetOutfit(BarkeepClothes02)
	EndIf
	victim.EvaluatePackage()
EndFunction

Function GetReward(Actor victim)
	If victim == DBTortureVictim1Ref 
		Game.GetPlayer().AddItem(Gold001, 500)
		zzzPOTortureVictimsReward1Done.SetValue(1)
	ElseIf victim == DBTortureVictim2Ref 
		Game.GetPlayer().AddItem(Gold001, 1000)
		zzzPOTortureVictimsReward2Done.SetValue(1)
	ElseIf victim == DBTortureVictim3Ref 
		Game.GetPlayer().AddItem(Gold001, 250)
		zzzPOTortureVictimsReward3Done.SetValue(1)
	ElseIf victim == DBTortureVictim4Ref 
		Game.GetPlayer().AddItem(Gold001, 750)
		zzzPOTortureVictimsReward4Done.SetValue(1)
	EndIf
EndFunction
